Package com.complexible.common.util.concurrent

# Class Executors2.CachedThreadPoolBuilder

java.lang.Object
com.complexible.common.util.concurrent.Executors2.CachedThreadPoolBuilder

Enclosing class:
  `Executors2`

public static final class Executors2.CachedThreadPoolBuilder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Executors2.CachedThreadPoolBuilder`
  `abort()`
  `ThreadPoolExecutor`
  `build()`
  `ThreadPoolExecutor`
  `build(BlockingQueue<Runnable> theWorkQueue)`
  `ScheduledThreadPoolExecutor`
  `buildScheduled()`
  `Executors2.CachedThreadPoolBuilder`
  `callerRuns()`
  `Executors2.CachedThreadPoolBuilder`
  `corePoolSize(int theCorePoolSize)`
  `Executors2.CachedThreadPoolBuilder`
  `discard()`
  `Executors2.CachedThreadPoolBuilder`
  `discardOldest()`
  `Executors2.CachedThreadPoolBuilder`
  `keepAlive(long theKeepAlive, TimeUnit theTimeUnit)`
  `Executors2.CachedThreadPoolBuilder`
  `maxPoolSize(int theMaxPoolSize)`
  `Executors2.CachedThreadPoolBuilder`
  `rejectedExecutionHandler(RejectedExecutionHandler theRejectedExecutionHandler)`
  `Executors2.CachedThreadPoolBuilder`
  `threadFactory(ThreadFactory theThreadFactory)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### corePoolSize

    public Executors2.CachedThreadPoolBuilder corePoolSize(int theCorePoolSize)

  - ### keepAlive

    public Executors2.CachedThreadPoolBuilder keepAlive(long theKeepAlive, TimeUnit theTimeUnit)

  - ### maxPoolSize

    public Executors2.CachedThreadPoolBuilder maxPoolSize(int theMaxPoolSize)

  - ### rejectedExecutionHandler

    public Executors2.CachedThreadPoolBuilder rejectedExecutionHandler(RejectedExecutionHandler theRejectedExecutionHandler)

  - ### threadFactory

    public Executors2.CachedThreadPoolBuilder threadFactory(ThreadFactory theThreadFactory)

  - ### callerRuns

    public Executors2.CachedThreadPoolBuilder callerRuns()

  - ### abort

    public Executors2.CachedThreadPoolBuilder abort()

  - ### discard

    public Executors2.CachedThreadPoolBuilder discard()

  - ### discardOldest

    public Executors2.CachedThreadPoolBuilder discardOldest()

  - ### build

    public ThreadPoolExecutor build()

  - ### build

    public ThreadPoolExecutor build(BlockingQueue<Runnable> theWorkQueue)

  - ### buildScheduled

    public ScheduledThreadPoolExecutor buildScheduled()